Subject: [Netconf] New version of NETCONF over TLS

From: Badra <[email-masked]>
Date: Sun, 23 Oct 2011 22:28:10 +0200

Dear all,

A new version of "NETCONF over TLS" document is available at
http://www.ietf.org/id/draft-badra-netconf-rfc5539bis-00.txt

Comments are welcome.
Best regards,
Badra

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 27 Oct 2011 11:54:16 +0200

Hi All,

please review and comment the 5539bis draft so that we can 

decide on the next steps.

It includes the necessary chunked framing mechanism following 

RFC6242 and the handling of TLS usernames. However there is a 

discussion necessary to get the technical details solved/addressed.

Mehmet & Bert

From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext Badra
Sent: Sunday, October 23, 2011 10:28 PM
To: [email-masked]
Subject: [Netconf] New version of NETCONF over TLS

Dear all,

Comments are welcome.
Best regards,
Badra

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Thu, 27 Oct 2011 14:36:39 +0200

After a very short peek, I think
- references to rfc4741, 4742, 5539 should probably best
   move to the informative references section.
- I see changes compared to the RFC that I am not sure are
   warranted without explanation and possibly WG agreement.

To see a diff, you can go here:

http://tools.ietf.org//rfcdiff?url1=http://tools.ietf.org/rfc/rfc5539.txt&url2=http://tools.ietf.org/id/draft-badra-netconf-rfc5539bis-00.txt

Bert

On 10/27/11 11:54 AM, Ersue, Mehmet (NSN - DE/Munich) wrote:
> Mehmet& Bert
> *From:[email-masked] [mailto:[email-masked]] *On Behalf Of *ext Badra
> *Sent:* Sunday, October 23, 2011 10:28 PM
> *To:* [email-masked]
> *Subject:* [Netconf] New version of NETCONF over TLS
>
> Dear all,
>
> A new version of "NETCONF over TLS" document is available at http://www.ietf.org/id/draft-badra-netconf-rfc5539bis-00.txt
>
> Comments are welcome.
> Best regards,
> Badra
>
>
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 27 Oct 2011 14:52:58 +0200

Exactly. There is also the YANG modul ietf-netconf-tls-username,
which requires a thorough review.

Cheers, 
Mehmet 

> -----Original Message-----
> From: ext Bert Wijnen (IETF) [mailto:[email-masked]]
> Sent: Thursday, October 27, 2011 2:37 PM
> To: Ersue, Mehmet (NSN - DE/Munich)
> Cc: [email-masked]
> Subject: Re: [Netconf] New version of NETCONF over TLS
> 
http://tools.ietf.org//rfcdiff?url1=http://tools.ietf.org/rfc/rfc5539.tx
t&url2=http://tools
> .ietf.org/id/draft-badra-netconf-rfc5539bis-00.txt
> 
> Bert
> 
> > *From:[email-masked] [mailto:[email-masked]]
*On Behalf Of
> *ext Badra

---

From: Ladislav Lhotka <[email-masked]>
Date: Thu, 27 Oct 2011 16:08:47 +0200

>   move to the informative references section.

Shouldn't they be updated to 6241 etc.?

Lada

-- 
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Thu, 27 Oct 2011 16:10:43 +0200

Yes, and that has been done. But the old RFCs are also
still listed and cited. As far as I can understand, that
is just informational. The new numbers should give enough
info from a normative point of view.

Bert

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 27 Oct 2011 17:04:43 +0200

>   move to the informative references section.

This should not normatively depend on these:

[RFC5539] Badra, M., "NETCONF over Transport Layer Security (TLS)",	
 	  RFC 5539, May 2009.

[RFC6353] Hardaker, W., "Transport Layer Security (TLS) Transport	
 	  Model for the Simple Network Management Protocol (SNMP)",	
 	  RFC 6353, July 2011.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>